Bug 164311 - [PATCH] Update security/pam_google_authenticator to 2012-01-09 snapshot
Summary: [PATCH] Update security/pam_google_authenticator to 2012-01-09 snapshot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Sébastien Pédron
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-19 15:00 UTC by Jean-Sébastien Pédron
Modified: 2012-02-10 10:49 UTC (History)
0 users

See Also:


Attachments
file.diff (1.38 KB, patch)
2012-01-19 15:00 UTC, Jean-Sébastien Pédron
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Sébastien Pédron freebsd_committer 2012-01-19 15:00:21 UTC
The google-authenticator project doesn't provide releases. The distfile is based on a snapshot dated 2012-01-19, which corresponds to the changeset 98:1f3c0d8a2b4a of the Mercurial repository.

The distfile is available here:
http://people.freebsd.org/~dumbbell/pam_google_authenticator/google-authenticator-20120119.tar.gz
I don't know if this is a suitable location for it.

The distfile has a different layout than the 20110519 snaphot. The 20110519 snapshot contains two subdirectories: libpam and mobile. The new snapshot only has the content of the libpam directory because the other directory is unused.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-01-19 15:00:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dumbbell

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-01-19 15:00:36 UTC
Maintainer of security/pam_google_authenticator,

Please note that PR ports/164311 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/164311

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-01-19 15:00:38 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Jui-Nan Lin 2012-01-20 01:57:15 UTC
Hello,

Please commit it, thanks!

On Thu, Jan 19, 2012 at 11:00 PM, Edwin Groothuis <edwin@freebsd.org> wrote=
:
> Maintainer of security/pam_google_authenticator,
>
> Please note that PR ports/164311 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =C2=A0 =C2=A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/164311
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 5 Philip M. Gollucci freebsd_committer 2012-02-08 05:09:14 UTC
State Changed
From-To: feedback->open

Maintainer approved
Comment 6 Philip M. Gollucci freebsd_committer 2012-02-08 05:09:49 UTC
Responsible Changed
From-To: dumbbell->pgollucci

maintainer timeout (dumbbell ; 19 days) / last commit 2623 days ago
Comment 7 Philip M. Gollucci freebsd_committer 2012-02-08 20:00:46 UTC
Responsible Changed
From-To: pgollucci->dumbbell

Over to maintainer
Comment 8 dfilter service freebsd_committer 2012-02-10 09:28:46 UTC
dumbbell    2012-02-10 09:28:32 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    security/pam_google_authenticator Makefile distinfo 
  Log:
  Update security/pam_google_authenticator to 20120119 snapshot
  
  This corresponds to the changeset 98:1f3c0d8a2b4a of the Mercurial
  repository.
  
  PR:             ports/164311
  Approved by:    pgollucci
  Sponsored by:   Yakaz (http://www.yakaz.com)
  
  Revision  Changes    Path
  1.3       +2 -4      ports/security/pam_google_authenticator/Makefile
  1.2       +2 -2      ports/security/pam_google_authenticator/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Jean-Sébastien Pédron freebsd_committer 2012-02-10 10:49:26 UTC
State Changed
From-To: open->closed

Update committed.